/**
 * psdguides - Draw photoshop-like guides
 * @version v1.0.0
 * @link https://github.com/noeldelgado/PSDGuides.js
 * @license MIT
 */
!function(t){function i(t){this.config={canvas:document.body,canvasWidth:0,alignment:"center",backColor:"rgba(132, 170, 234, 0.25)",lineColor:"rgba(73, 141, 255, 1)",horizontalGuides:[],verticalGuides:[],zindex:9999},this._ui=null,this._verticalGuides=null,this._horizontalGuides=null,this.__resizeHandler=null,this._reGroup=null,this._reSplit=null,this.active=null,Object.keys(t).forEach(function(i){this.config[i]=t[i]},this),this._init()}i.prototype._init=function(){return this._ui={},this.active=!1,this._verticalGuides=[],this._horizontalGuides=[],this._reGroup=new RegExp("[()\\s]","g"),this._reSplit=new RegExp("[,*]","g"),this._ui.documentElement=t.document.documentElement,this._ui.body=t.document.body,this._ui.wrapper=document.createElement("div"),this._ui.hContainer=document.createElement("div"),this._ui.vContainer=document.createElement("div"),this._setStyles(this._ui.wrapper,{display:"none",position:"absolute",top:0,zIndex:this.config.zIndex,backgroundColor:this.config.backColor})._setStyles(this._ui.hContainer,{position:"absolute",top:0,height:"100%",borderLeft:"1px dotted "+this.config.lineColor,borderRight:"1px dotted "+this.config.lineColor})._setStyles(this._ui.vContainer,{position:"absolute",top:0,height:"100%",width:"100%"}),this._ui.wrapper.className="psd-guides-wrapper",this.config.canvas.appendChild(this._ui.wrapper),this._bindEvents(),this._overrideCSS(),this.addVerticalGuides(this.config.verticalGuides),this.addHorizontalGuides(this.config.horizontalGuides),this.update(),this},i.prototype._bindEvents=function(){return this.__resizeHandler=this._resizeHandler.bind(this),t.addEventListener("resize",this.__resizeHandler,!1),this},i.prototype._resizeHandler=function(){this.active&&(this._hide(),t.clearTimeout(this._resizeTimer),this._resizeTimer=t.setTimeout(function(){this.update().activate()}.bind(this),250))},i.prototype.addVerticalGuides=function(t){return this._verticalGuides=this._verticalGuides.concat(this._getParsedGuides(t)),this},i.prototype.addHorizontalGuides=function(t){return this._horizontalGuides=this._horizontalGuides.concat(this._getParsedGuides(t)),this},i.prototype._getParsedGuides=function(t){var i=[];return t.map(function(t){if("string"!=typeof t||-1===t.indexOf("*"))i.push(~~t);else{var e,n,o,r,s;for(e=t.replace(this._reGroup,"").split(this._reSplit),n=e.pop(),o=e.length,r=0;n>r;r++)for(s=0;o>s;s++)i.push(~~e[s])}},this),i},i.prototype._createVerticalLines=function(){var t,i;return t=document.createDocumentFragment(),i=0,this.getVerticalGuides().map(function(e){this._appendLine(t,{height:e+"px",borderBottom:"1px dotted "+this.config.lineColor}),i+=e},this),i=Math.max(this._ui.body.clientHeight,i),this._ui.wrapper.style.height=i,this._ui.vContainer.appendChild(t),this._ui.wrapper.appendChild(this._ui.vContainer),this},i.prototype._createHorizontalLines=function(){var t,e,n;return t=document.createDocumentFragment(),e=this.config.canvasWidth||i.Utils.getWidth(),n=0,this._setStyles(this._ui.hContainer,{width:e+"px",marginLeft:this._getAligment(e)+"px"}).getHorizontalGuides().map(function(i){this._appendLine(t,{position:"absolute",left:n+"px",width:i+"px",height:"100%",borderRight:"1px dotted "+this.config.lineColor}),n+=i},this),this._ui.hContainer.appendChild(t),this._ui.wrapper.appendChild(this._ui.hContainer),this},i.prototype._removeLines=function(){for(;this._ui.hContainer.firstChild;)this._ui.hContainer.removeChild(this._ui.hContainer.firstChild);for(;this._ui.vContainer.firstChild;)this._ui.vContainer.removeChild(this._ui.vContainer.firstChild);return this},i.prototype._appendLine=function(t,i){var e=document.createElement("div");return this._setStyles(e,i),t.appendChild(e),this},i.prototype._getMaxSize=function(t){var i,e,n;return i=Math.max(this._ui.body["scroll"+t],this._ui.documentElement["scroll"+t]),e=Math.max(this._ui.body["offset"+t],this._ui.documentElement["offset"+t]),n=Math.max(this._ui.body["client"+t],this._ui.documentElement["client"+t]),Math.max(i,e,n)},i.prototype._getAligment=function(t){return"left"===this.config.alignment?0:Math.floor("right"===this.config.alignment?this._getMaxSize("Width")-t:(this._getMaxSize("Width")-t)/2)},i.prototype._setStyles=function(t,i){return Object.keys(i).forEach(function(e){t.style[e]=i[e]}),this},i.prototype._overrideCSS=function(){var t,i,e;return t=".psd-guides-wrapper * {-webkit-box-sizing: border-box !important; box-sizing: border-box !important;}",i=document.getElementsByTagName("head")[0],e=document.createElement("style"),e.type="text/css",e.styleSheet?e.styleSheet.cssText=t:e.appendChild(document.createTextNode(t)),i.appendChild(e),this},i.prototype._hide=function(){this._ui.wrapper.style.display="none"},i.prototype.getHorizontalGuides=function(){return this._horizontalGuides},i.prototype.getVerticalGuides=function(){return this._verticalGuides},i.prototype.removeHorizontalGuides=function(){return this._horizontalGuides=[],this},i.prototype.removeVerticalGuides=function(){return this._verticalGuides=[],this},i.prototype.removeGuides=function(){return this.removeHorizontalGuides().removeVerticalGuides(),this},i.prototype.update=function(){return this._setStyles(this._ui.wrapper,{width:this._getMaxSize("Width")+"px",height:this._getMaxSize("Height")+"px"})._removeLines()._createVerticalLines()._createHorizontalLines(),this},i.prototype.activate=function(){return this.active=!0,this.update(),this._ui.wrapper.style.display="",this},i.prototype.deactivate=function(){return this.active=!1,this._hide(),this},i.prototype.destroy=function(){return this._removeLines(),this._ui.wrapper.removeChild(this._ui.vContainer),this._ui.wrapper.removeChild(this._ui.hContainer),this.config.canvas.removeChild(this._ui.wrapper),t.removeEventListener("resize",this.__resizeHandler,!1),Object.keys(this).forEach(function(t){delete this[t]},this),null},t.PSDGuides=i}(window);